Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.pipe.iterator
Class LineIterator

    java.lang.Object
      cc.mallet.pipe.iterator.LineIterator

All Implemented Interfaces:
  java.util.Iterator<Instance>

    public class LineIterator

extends java.lang.Object
implements java.util.Iterator<Instance>

Constructor Summary
`LineIterator(java.io.Reader input, java.util.regex.Pattern lineRegex, int dataGroup, int targetGroup, int uriGroup)`
`LineIterator(java.io.Reader input, java.lang.String lineRegex, int dataGroup, int targetGroup, int uriGroup)`
`LineIterator(java.lang.String filename, java.lang.String lineRegex, int dataGroup, int targetGroup, int uriGroup)`

Method Summary
`boolean` | `hasNext()`
`Instance` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineIterator

    public LineIterator(java.io.Reader input,
                        java.util.regex.Pattern lineRegex,
                        int dataGroup,
                        int targetGroup,
                        int uriGroup)

### LineIterator

    public LineIterator(java.io.Reader input,
                        java.lang.String lineRegex,
                        int dataGroup,
                        int targetGroup,
                        int uriGroup)

### LineIterator

    public LineIterator(java.lang.String filename,
                        java.lang.String lineRegex,
                        int dataGroup,
                        int targetGroup,
                        int uriGroup)
                 throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

Method Detail

### next

    public Instance next()

  Specified by:
    `next` in interface `java.util.Iterator<Instance>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<Instance>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<Instance>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD